/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.exception.term;

import org.xmloperator.lambda3.model.Term;

/**
 * Exception raised when using a broken Term.
 */
public class BrokenTermException extends TermException {
	private static final long serialVersionUID = -8196121835290204767L;

	public BrokenTermException(Term brokenTerm) {
		super(brokenTerm);
	}

	public BrokenTermException(Term rootTerm, Term brokenTerm) {
		super(rootTerm, brokenTerm);
	}
}