/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.exception.term;

import org.xmloperator.lambda3.model.Term;

/**
 * Exception raised when an Application expected to be a redex is not a redex.
 */
public class NotARedexException extends TermException {
	private static final long serialVersionUID = -508383384644819353L;

	public NotARedexException(Term term) {
		super(term);
	}

	public NotARedexException(Term rootTerm, Term term) {
		super(rootTerm, term);
	}
}