/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.exception.term;

import org.xmloperator.lambda3.model.Application;
import org.xmloperator.lambda3.model.Term;

/**
 * Exception raised when a root Term shares a redex with an external Term.
 */
public class RedexSharingException extends TermException {
	private static final long serialVersionUID = 3906896586297917667L;

	public RedexSharingException(Term rootTerm, Application redex) {
		super(rootTerm, redex);
	}
}