/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.impl;

import org.xmloperator.lambda3.impl.type.TermTypeFactory;

/**
 * Constant that represents an int.
 */
public final class ConstantInt extends Constant1Impl {
	
	ConstantInt(int intValue) {
		super(new FunctionInt(intValue), TermTypeFactory.integerTermType);
	}
	
	public int getValue() {
		return ((FunctionInt)this.function).intValue;
	}
	
	//////////////////////////
	// Constant implementation
	//////////////////////////

	public final boolean isInt() {
		return true;
	}
}
