/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.model;

/**
 * Constant function with one argument.
 */
public interface Function1 extends Function {

	/**
	 * Function with one argument.
	 * 
	 * @param arg
	 *            argument
	 * @return result throws IllegalFunctionArgumentException if arg is not
	 *         compatible with the function.
	 */
	Term function(Term arg);
}
