/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.model;

/**
 * Constant function with three arguments.
 */
public interface Function3 extends Function {

	/**
	 * Function with three argument.
	 * 
	 * @param arg1
	 *            first argument
	 * @param arg2
	 *            second argument
	 * @param arg3
	 *            third argument
	 * @return result throws IllegalFunctionArgumentException if arg1 or arg2
	 *         or arg3 is not compatible with the function.
	 */
	Term function(Term arg1, Term arg2, Term arg3);
}
