/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.util;

import java.util.AbstractMap;

/**
 * Reservable Map.
 * 
 * @param <T>
 *            the Map type.
 */
public final class ReservableMap<T extends AbstractMap<?, ?>> extends
		ReservableImpl<T> {

	public ReservableMap(T resource) {
		super(resource);
	}

	void clearResource() {
		this.resource.clear();
	}
}
