/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.exception.term;

import org.xmloperator.lambda3.model.Term;

/**
 * Exception raised when a Term expected to be not referenced is referenced.
 */
public class StillReferencedTermException extends TermException {
	private static final long serialVersionUID = 8735275450002160750L;

	public StillReferencedTermException(Term term) {
		super(term);
	}

	public StillReferencedTermException(Term rootTerm, Term term) {
		super(rootTerm, term);
	}
}