/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.impl;

import org.xmloperator.lambda3.impl.type.TermTypeFactory;

/**
 * Constant that represents a float number.
 */
public final class ConstantFloat extends Constant1Impl {
	
	ConstantFloat(double floatValue) {
		super(new FunctionFloat(floatValue), TermTypeFactory.floatTermType);
	}
	
	public double getValue() {
		return ((FunctionFloat)this.function).floatValue;
	}
	
	//////////////////////////
	// Constant implementation
	//////////////////////////

	public final boolean isFloat() {
		return true;
	}
}
