/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.model;

/**
 * A Term that is a variable, which is either free either bound to an
 * Abstraction.
 */
public interface Variable extends Term {

	/**
	 * @return the Abstraction attached to this variable if there is, null
	 *         elsewhere.
	 */
	public Abstraction getAbstraction();
}
