/**
 * Copyright (c) 2013 The_xmloperator_project.  All rights reserved.
 * See terms of use on the project's site (http://www.xmloperator.net/lambda3/).
 */
package org.xmloperator.lambda3.util;

import java.util.AbstractCollection;

/**
 * Reservable Collection.
 * 
 * @param <T>
 *            the Collection type.
 */
public final class ReservableCollection<T extends AbstractCollection<?>>
		extends ReservableImpl<T> {

	public ReservableCollection(T resource) {
		super(resource);
	}

	void clearResource() {
		this.resource.clear();
	}
}
